# Review at https://bugzilla.redhat.com/show_bug.cgi?id=478659
# Successor of the xfce4-screenshooter-plugin, which was reviewed at
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179202

Name:           xfce4-screenshooter
Version:        1.7.9
Release:        2%{?dist}
Summary:        Screenshot utility for the Xfce desktop

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://archive.xfce.org/src/apps/%{name}/1.7/%{name}-%{version}.tar.bz2
Patch0:         xfce4-screenshooter-1.7.9-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.4.0 xfce4-panel-devel >= 4.4.0
BuildRequires:  libsoup-devel >= 2.26.0
BuildRequires:  gettext intltool desktop-file-utils
Requires:       xfce4-doc

%description
The Xfce Screenshooter utility allows you to capture the entire screen, the 
active window or a selected region. You can set the delay that elapses before 
the screenshot is taken and the action that will be done with the screenshot: 
save it to a PNG file, copy it to the clipboard, or open it using another 
application.

%package        plugin
Summary:        Screenshot utility for the Xfce panel
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}
Requires:       xfce4-panel >= 4.4.0

%description    plugin
The Xfce Screenshooter plugin allows you to take screenshots from the Xfce 
panel.


%prep
%setup -q
%patch0 -p1 -b .dsofix
# KDE and GNOME have their own screenshot utils
echo "NotShowIn=KDE;GNOME;" >> src/xfce4-screenshooter.desktop.in.in

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/applets-screenshooter.png
%{_datadir}/icons/hicolor/scalable/apps/applets-screenshooter.svg
%{_datadir}/xfce4/doc/*/images/%{name}-*.png
%{_datadir}/xfce4/doc/*/%{name}.html
%{_mandir}/man1/*.1.*


%files plugin
%defattr(-,root,root,-)
%{_libexecdir}/xfce4/panel-plugins/%{name}-plugin
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Tue May 18 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.7.9-2
- Add patch to fix DSO linking (#564819)

* Sun Feb 07 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.7.9-1
- Update to 1.7.9 (RC for 1.8.0)
- Include NEWS and TODO

* Thu Jul 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Wed Feb 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1
- Built for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5.0-1
- Update to 1.5.0 on Xfce 4.5.93.

* Fri Jan 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.90.0-1
- Update to 1.4.90.0
- Split package into standalone app and panel plugin

* Thu Nov 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Fri Jul 18 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Wed Jul 16 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Jul 03 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0
- Include new xfce4-screenshooter manpage

* Sat Jun 22 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0
- BR gettext

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-7
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-6
- Change license tag to GPLv2+

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-5
- Rebuild for Xfce 4.4.1

* Sun Jan 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-4
- Rebuild for XFCE 4.4.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.8-4
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-3
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-2
- Rebuild for Fedora Extras 5.

* Sat Jan 21 2006 Christoph Wickert <fedora.wickert@arcor.de> - 0.0.8-1
- Initial Fedora Extras version.
